classification
Title: Restore pickling recursive dequeues
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: alexandre.vassalotti, pitrou, python-dev, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-03-04 18:40 by serhiy.storchaka, last changed 2016-03-06 07:04 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
pickle_recursive_deque.patch serhiy.storchaka, 2016-03-04 18:40 review
Messages (4)
msg261194 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-04 18:40
Pickling recursive dequeues was added in issue1062279. But then it was reverted in 73f49656420b (unknown issue number).

Proposed patch restores pickling recursive dequeues.
msg261215 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-03-05 12:22
Go ahead.
msg261232 - (view) Author: Roundup Robot (python-dev) Date: 2016-03-06 06:55
New changeset be993678d4f7 by Serhiy Storchaka in branch 'default':
Issue #26482: Allowed pickling recursive dequeues.
https://hg.python.org/cpython/rev/be993678d4f7
msg261233 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-06 07:04
Thanks Raymond.
History
Date User Action Args
2016-03-06 07:04:04serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg261233

stage: patch review -> resolved
2016-03-06 06:55:49python-devsetnosy: + python-dev
messages: + msg261232
2016-03-05 12:22:20rhettingersetassignee: rhettinger -> serhiy.storchaka
messages: + msg261215
2016-03-04 18:40:44serhiy.storchakacreate